%define	name xscreensaver
%define	version 4.24

%define default_text %{_datadir}/doc/fedora-release-4/RELEASE-NOTES

Summary:	X screen saver and locker
Name:		%{name}
Version:	%{version}
Release: 	2.ydl.1
Epoch:		1
License:	BSD
Group:		Amusements/Graphics
URL:		http://www.jwz.org/xscreensaver/
Source0:	xscreensaver-%{version}.tar.gz
Source1:	removed-display-modes
Patch0:		xscreensaver-4.24-change-defaults.patch
Patch1:		xscreensaver-4.24-sanitize-hacks.patch
Patch2:		xscreensaver-4.21-dont-ping-if-not-root.patch
Patch3:		xscreensaver-4.21-use-hack-basename.patch
Patch4:		xscreensaver-4.22-fix-man-pages.patch
Patch5:		xscreensaver-4.22-dont-allow-root.patch
Patch6:		xscreensaver-4.22-pam-include.patch
Patch8:		xscreensaver-4.22-write-explicit-dirname.patch
Patch9:		xscreensaver-4.22-use-hackdirname.patch
Patch10:	xscreensaver-4.22-show-uname.patch
Patch11:	xscreensaver-4.22-make-hackdir-absolute-path-new.patch
Patch15:	xscreensaver-4.23-allow-zero-dpms-timeout-MOREFIX.patch
Patch16:	xscreensaver-4.23-realpath-heap-allocate.patch
Patch17:	xscreensaver-4.23-default-text.patch
Patch18:	xscreensaver-4.23-modularX-addoption.patch
Patch19:	xscreensaver-4.23-remove-gccwarn-pointer.patch
Patch20:	xscreensaver-4.24-clean-up-the-zombies.patch

Patch21: 	xscreensaver-4.24-yellowdog.patch

Buildroot:	%{_tmppath}/%{name}-root

# find_lang
BuildRequires:	gettext
BuildRequires:  desktop-file-utils
BuildRequires:  imake

# /sbin/pidof
Requires:	SysVinit
Requires:       fedora-release

%package base
Summary: A minimal installation of xscreensaver.
Group: Amusements/Graphics
BuildPrereq: bc, pam-devel
BuildPrereq: libX11-devel, libXScrnSaver-devel, libXext-devel
BuildPrereq: libXinerama-devel
# this is here because the configure tests look for protocol headers
BuildPrereq: xorg-x11-proto-devel
BuildPrereq: gtk2-devel libglade2-devel
Requires: /etc/pam.d/system-auth, htmlview, desktop-backgrounds-basic
Provides: xscreensaver = %{epoch}:%{version}-%{release}
Obsoletes: xscreensaver

%package extras
Summary: An enhanced set of screensavers.
Group: Amusements/Graphics

%package gl-extras
Summary: An enhanced set of screensavers that require OpenGL.
Group: Amusements/Graphics
Obsoletes: xscreensaver-gl
BuildRequires: libGLU-devel, libGL-devel
Requires: libGL, libGLU

%description
A modular screen saver and locker for the X Window System.
More than 200 display modes are included in this package.

%description base
A modular screen saver and locker for the X Window System.
This package contains the bare minimum needed to blank and
lock your screen.  The graphical display modes are the
"xscreensaver-extras" and "xscreensaver-gl-extras" packages.

%description extras
A modular screen saver and locker for the X Window System.
This package contains a variety of graphical screen savers for
your mind-numbing, ambition-eroding, time-wasting, hypnotized
viewing pleasure.

%description gl-extras
A modular screen saver and locker for the X Window System.
This package contains a variety of OpenGL-based (3D) screen
savers for your mind-numbing, ambition-eroding, time-wasting,
hypnotized viewing pleasure.

%prep
%setup -q
%patch0 -p1 -b .change-defaults
%patch1 -p1 -b .sanitize-hacks
#%patch2 -p1 -b .dont-ping-if-not-root
%patch3 -p1 -b .use-hack-basename
#%patch4 -p1 -b .fix-man-pages
%patch5 -p1 -b .dont-allow-root
%patch6 -p1 -b .pam-include
%patch8 -p1 -b .write-explicit-dirname
%patch9 -p1 -b .use-hackdirname
%patch10 -p1 -b .show-uname
%patch11 -p1 -b .make-hackdir-absolute-path-new
%patch15 -p1 -b .allow-zero-dpms-timeout-MOREFIX
%patch16 -p1 -b .realpath-heap-allocate
%patch17 -p1 -b .default-text
%patch18 -p1 -b .modularX-addoption
%patch19 -p1 -b .remove-gccwarn-pointer
%patch20 -p1 -b .clean-up-the-zombies

%patch21 -p1


if [ -x %{_datadir}/libtool/config.guess ]; then
  # use system-wide copy
  cp -p %{_datadir}/libtool/config.{sub,guess} .
fi

%build
autoconf
archdir=`./config.guess`
mkdir $archdir
cd $archdir

export CFLAGS="${CFLAGS:-${RPM_OPT_FLAGS}}" 

CONFIG_OPTS="--with-pam --without-shadow --without-kerberos"
CONFIG_OPTS="$CONFIG_OPTS --without-setuid-hacks"
CONFIG_OPTS="$CONFIG_OPTS --with-fortune=%{fortune}"
CONFIG_OPTS="$CONFIG_OPTS --with-text-file=%{default_text}"
CONFIG_OPTS="$CONFIG_OPTS --with-x-app-defaults=%{_datadir}/X11/app-defaults"


# This is flaky:
# CONFIG_OPTS="$CONFIG_OPTS --with-login-manager"

ln -s ../configure .
%configure $CONFIG_OPTS
rm -f configure

make

%install
archdir=`./config.guess`
cd $archdir

rm -rf ${RPM_BUILD_ROOT}

# We have to make sure these directories exist,
# or nothing will be installed into them.
#
#mkdir -p $RPM_BUILD_ROOT%{_bindir}                      \
#         $RPM_BUILD_ROOT%{_datadir}/xscreensaver        \
#         $RPM_BUILD_ROOT%{_libexecdir}/xscreensaver     \
#         $RPM_BUILD_ROOT%{_mandir}/man1/xscreensaver    \
#         $RPM_BUILD_ROOT/etc/pam.d

make install_prefix=$RPM_BUILD_ROOT install 

#mv $RPM_BUILD_ROOT%{_mandir}/man1 $RPM_BUILD_ROOT%{_mandir}/man6

desktop-file-install --vendor gnome --delete-original                         \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                               \
  --add-only-show-in GNOME                                                    \
  --add-category X-Red-Hat-Base                                               \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# This function prints a list of things that get installed.
# It does this by parsing the output of a dummy run of "make install".
#
list_files() {
  echo "%%defattr(-,root,root)"
  make -s install_prefix=${RPM_BUILD_ROOT} INSTALL=true "$@"	\
   | sed -e 's@.*directory.* \(/[^ ]*\)$@ \1DIR@'               \
   | sed -e 's@.*-m 4755.* \([^ ]*\)$@ \1SETUID@'               \
   | sed -n -e 's@.* \(/[^ ]*\)$@\1@p'				\
   | sed    -e "s@^${RPM_BUILD_ROOT}@@" 			\
            -e "s@/[a-z][a-z]*/\.\./@/@"			\
   | sed    -e '/DIR$/!s@\(.*/man/.*\)@\1\*@'			\
   | sed    -e '/DIR$/!s@\(.*/app-defaults/\)@%config \1@'      \
            -e '/DIR$/!s@\(.*/pam\.d/\)@%config(missingok) \1@' \
   | sed    -e 's@\(.*\)DIR$@%dir \1@'                          \
   | sed    -e 's@\(.*\)SETUID$@%attr(4755,root,root) \1@'      \
   | sort
}

# This function removes the display modes listed in the file given in argument 1
# from the file list in the file given in argument 2 and from the build root.
prune_display_modes() {
  # Add some regex foo to the display mode list to be more specific about what
  # to remove (e.g., to keep webcollage-helper when webcollage is removed)
  cat "$1" | sed -e 's@$@\\(\\..*\\)\\?$@' > "$1".tmp
  cat "$2" > "$2".tmp 

  # Remove display modes from the file list
  grep -v -f "$1".tmp "$2".tmp > "$2" 

  # Remove display modes from the build root
  comm -2 -3 "$2".tmp "$2"                                         \
   | xargs -r -i{file} sh -c "rm -f ${RPM_BUILD_ROOT}{file}"

   rm -f "$1".tmp
   rm -f "$2".tmp
}

# Generate three lists of files for the three packages.
#
dd=%{_builddir}/%{name}-%{version}
(  cd hacks     ; list_files install ) >  $dd/extras.files
(  cd hacks/glx ; list_files install ) >  $dd/gl-extras.files
(  cd driver    ; list_files install ) >  $dd/base.files

# Various display modes can't be in fedora/RHEL.  Prune them.
#
prune_display_modes ${RPM_SOURCE_DIR}/removed-display-modes $dd/extras.files 
prune_display_modes ${RPM_SOURCE_DIR}/removed-display-modes $dd/gl-extras.files 

# Not needed anymore
#install -m 755 ${RPM_SOURCE_DIR}/xscreensaver-fortune-standin                 \
#               $RPM_BUILD_ROOT%{fortune}
#echo %{fortune} >> $dd/base.files

%find_lang %{name}
cat %{name}.lang >> $dd/base.files

# Make sure all files are readable by all, and writable only by owner.
#
chmod -R a+r,u+w,og-w ${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post base
# This part runs on the end user's system, when the RPM is installed.

pids=`/sbin/pidof xscreensaver`
if [ -n "$pids" ]; then
  echo "sending SIGHUP to running xscreensaver ($pids)..." >&2
  kill -HUP $pids
fi

%files -f base.files base
%defattr(-,root,root)

%files -f extras.files extras
%defattr(-,root,root)

%files -f gl-extras.files gl-extras
%defattr(-,root,root)

%changelog
* Fri Jul 14 2006 Tim Renner <trenner@terrasoftsolutions.com>
- Added yellowdog patch.

* Fri Mar 24 2006 Ray Strode <rstrode@redhat.com> - 1:4.24-2
- add patch from jwz to reap zombie processes (bug 185833)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:4.24-1.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:4.23-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 13 2006 Ray Strode <rstrode@redhat.com> 1:4.23-1
- update to 4.23
- add a BuildRequires on imake (spotted by Mamoru Tasaka)
- add a lot of patches and fixes from Mamoru Tasaka

* Sat Dec 17 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Dec  5 2005 Ray Strode <rstrode@redhat.com> 1:4.22-21
- Update list_files function to fix ownership issues.
  Patch from Mamoru Tasaka (mtasaka@ioa.s.u-tokyo.ac.jp) (bug 161728).

* Tue Nov  1 2005 Ray Strode <rstrode@redhat.com> 1:4.22-20
- Switch requires to modular X

* Thu Oct 13 2005 Tomas Mraz <tmraz@redhat.com> 1:4.22-19
- use include instead of pam_stack in pam config

* Wed Sep 28 2005 Ray Strode <rstrode@redhat.com> 1:4.22-18
- accept zero timeout values for suspend and off.
  Patch from Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
  (bug 157501). 

* Fri Sep 23 2005 Ray Strode <rstrode@redhat.com> 1:4.22-17
- remove explicit dependency on xscreensaver-base for 
  extras and gl-extras packages

* Fri Sep 16 2005 Ray Strode <rstrode@redhat.com> 1:4.22-16
- don't allow root to authenticate lock dialog when selinux
  is enabled (bug 157014).

* Fri Sep  9 2005 Ray Strode <rstrode@redhat.com> 1:4.22-15
- take BSOD out of the default random list (bug 105388).

* Thu Sep 08 2005 Florian La Roche <laroche@redhat.com>
- add version-release to the Provides:

* Wed Sep  7 2005 Ray Strode <rstrode@redhat.com> 1:4.22-13
- Patch from Mamoru Tasaka to improve man page handling
  (bug 167708).

* Tue Sep  6 2005 Ray Strode <rstrode@redhat.com> 1:4.22-12
- remove density option from squiral screensaver,
  Patch from Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
  (bug 167374).

* Wed Aug 31 2005 Ray Strode <rstrode@redhat.com> 1:4.22-11
- ignore unprintable characters in password dialog (bug 135966).

* Thu Aug 25 2005 Ray Strode <rstrode@redhat.com> 1:4.22-10
- Move man pages to section 6 (bug 166441). 

* Wed Aug 24 2005 Ray Strode <rstrode@redhat.com> 1:4.22-9
- The only legitimate way to call realpath is with NULL 
  buffer (bug 165270).

* Fri Aug 19 2005 Ray Strode <rstrode@redhat.com> 1:4.22-8
- Don't try to use an invalid tree iterator (bug 166299)

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 1:4.22-7
- rebuild for new cairo

* Wed Aug 10 2005 Ray Strode <rstrode@redhat.com> 1:4.22-6
- Don't call printf in signal handler (might fix 126428)

* Wed Aug  3 2005 Ray Strode <rstrode@redhat.com> 1:4.22-5
- Update to xscreensaver 4.22.

* Sun Jun 19 2005 Ray Strode <rstrode@redhat.com> 1:4.21-5
- Add build requires for desktop-file-utils (bug 160980). 

* Wed May 11 2005 Ray Strode <rstrode@redhat.com> 1:4.21-4
- Allow configuration gui to support hacks with absolute paths
  (bug 157417). 

* Mon May 09 2005 Ray Strode <rstrode@redhat.com> 1:4.21-3
- Use @libexecdir@/xscreensaver instead of @HACKDIR@ in
  default configuration file so that the path gets expanded
  fully (bug 156906).

* Tue May 03 2005 Ray Strode <rstrode@redhat.com> 1:4.21-2
- Use absolute filenames for screenhacks so we don't pull
  in screenhacks from PATH (bug 151677).
- Don't try to ping in sonar screensaver (bug 139692).

* Sun Mar 20 2005 Ray Strode <rstrode@redhat.com> 1:4.21-1
- Update to xscreensaver-4.21.
- Update spec file to better match new upstream spec file.

* Fri Feb 25 2005 Nalin Dahyabhai <nalin@redhat.com> 1:4.18-19
- We don't patch configure.in, so we don't need to run 'autoconf'.
- Add --without-kerberos to skip built-in Kerberos password verification, so
  that we'll always go through PAM (fixes 149731).

* Mon Feb 21 2005 Ray Strode <rstrode@redhat.com> 1:4.18-18
- Install desktop files to /usr/share/applications instead of
  /usr/share/control-center-2.0 (should fix bug 149229).

* Thu Jan  6 2005 Ray Strode <rstrode@redhat.com> 1:4.18-17
- Change lock dialog instructions to only ask for password
  and not username.

* Tue Jan  4 2005 Ray Strode <rstrode@redhat.com> 1:4.18-16
- Add patch to spec file to change defaults

* Tue Jan  4 2005 Ray Strode <rstrode@redhat.com> 1:4.18-15
- Remove xscreensaver-config-tool after some discussions with
  jwz.
- Take out some additional screensavers

* Wed Dec  1 2004 Ray Strode <rstrode@redhat.com> 1:4.18-14
- Add utility xscreensaver-config-tool to make changing settings
  easier (replaces the short lived xscreensaver-register-hack
  program).  Use xscreensaver-config-tool to set default settings
  instead of using patches. 
- Split up xscreensaver (fixes 121693).
- Make preferences dialog slightly more pretty
- Make lock dialog slightly more pretty

* Fri Nov 26 2004 Than Ngo <than@redhat.com> 1:4.18-13
- add patch to fix vroot bug and make xscreensaver working in KDE again.
- get rid of webcollage, which often download porn images
 
* Wed Nov 10 2004 Ray Strode <rstrode@redhat.com: 1:4.18-11
- Add xscreensaver-register-hack program to make
  installing and uninstalling screensavers easier
  (working toward fixing bug 121693 [split up screensaver])

* Wed Nov 10 2004 Ray Strode <rstrode@redhat.com> 1:4.18-10
- Get rid of unnecessary xloadimage requirement
  (bug 100641)

* Wed Nov 10 2004 Ray Strode <rstrode@redhat.com> 1:4.18-9
- Call pam_acct_mgmt() (might fix bug 137195) 

* Tue Nov 9 2004 Ray Strode <rstrode@redhat.com> 1:4.18-8
- Give vidwhacker screensaver working defaults
  (bug 64518)

* Tue Nov 9 2004 Ray Strode <rstrode@redhat.com> 1:4.18-7
- Get rid of old crufty %{_datadir}/control-center/ tree
  (bug 114692)

* Wed Nov 3 2004 Ray Strode <rstrode@redhat.com> 1:4.18-6
- rebuild for rawhide

* Wed Nov 3 2004 Ray Strode <rstrode@redhat.com> 1:4.18-5
- Don't allow screensavers access to desktop images by default (bug #126809)
- Lock screen by default (bug #126809)

* Tue Oct 19 2004  <krh@redhat.com> 4.18-4
- Add xscreensaver-4.18-stuff-piecewise-leak.patch to stop piecewise
  from leaking (#135164).

* Wed Sep 1 2004 Ray Strode <rstrode@redhat.com> 4.18-3
- remove superfluous line in the spec file

* Wed Sep 1 2004 Ray Strode <rstrode@redhat.com> 4.18-2
- blank the screen by default

* Tue Aug 24 2004 Ray Strode <rstrode@redhat.com> 4.18-1
- update to 4.18 (fixes bug 87745).

* Sat Aug 14 2004 Ray Strode <rstrode@redhat.com> 4.16-4
- change titles of questionably named bar codes
  (fixes bug 129929).

* Fri Aug 6 2004 Ray Strode <rstrode@redhat.com> 4.16-3
- change titles of questionably named shape formations
  (fixes bug 129335).

* Wed Jun 23 2004 Ray Strode <rstrode@redhat.com> 4.16-2
- use htmlview for browsing help.

* Mon Jun 21 2004 Ray Strode <rstrode@redhat.com> 4.16-1
- update to 4.16.  Use desktop-file-install for desktop file.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May  5 2004 Bill Nottingham <notting@redhat.com> 4.14-5
- config tweaks

* Wed Mar 31 2004 Karsten Hopp <karsten@redhat.de> 4.14-4 
- fix fortune stand-in (#115369)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Oct 27 2003 Bill Nottingham <notting@redhat,com> 1:4.14-1
- update to 4.14

* Tue Oct  7 2003 Bill Nottingham <notting@redhat.com> 1:4.13-1
- take out flag-with-logo, don't require redhat-logos (#106046)
- update to 4.13

* Wed Aug 27 2003 Bill Nottingham <notting@redhat.com> 1:4.12-1
- update to 4.12 (fixes #101920)
- re-add BSOD to the random list

* Tue Jun 24 2003 Bill Nottingham <notting@redhat.com> 1:4.11-1
- update to 4.11

* Fri Jun 13 2003 Bill Nottingham <notting@redhat.com> 1:4.10-3
- fix some 64-bit arches (#97359)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 28 2003 Bill Nottingham <notting@redhat.com> 1:4.10-1
- update to 4.10

* Thu Mar 20 2003 Bill Nottingham <notting@redhat.com> 1:4.09-1
- update to 4.09, now with bouncing cows

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 1:4.07-2
- oops, xloadimage *is* needed (#83676)

* Thu Feb  6 2003 Bill Nottingham <notting@redhat.com> 1:4.07-1
- update to 4.07, fixes #76276, #75574

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov 29 2002 Tim Powers <timp@redhat.com> 1:4.06-4
- call autoconf instead of autoconf-2.53

* Mon Nov 11 2002 Bill Nottingham <notting@redhat.com> 4.06-3
- put glade tweaks back in
- switch pam package to not specify directories, to work on multilib
  arches

* Fri Nov  8 2002 Nalin Dahyabhai <nalin@redhat.com> 4.06-1
- add a BuildPrereq on bc, which configure requires
- replace use of fortune with an innocuous-and-editable stand-in script in
  %{stand_in_path}
- define FORTUNE_PROGRAM at compile-time to force apps to use what's specified
  even if it doesn't happen to be installed at compile-time

* Sun Sep  2 2002 Bill Nottingham <notting@redhat.com> 4.05-6
- fix typo (#73246)

* Wed Aug 28 2002 Bill Nottingham <notting@redhat.com> 4.05-5
- revert to non-gtk unlock dialog
- fix translations

* Mon Aug 12 2002 Bill Nottingham <notting@redhat.com> 4.05-4
- twiddle titlebar (#67844)
- fix extraneous text (#70975)
- tweak desktop entry (#69502)

* Fri Aug 9 2002 Yu Shao <yshao@redhat.com> 4.05-3
- use GTK_IM_MODULE=gtk-im-context-simple in lock widget
- to avoid CJK IM weirdness (#70655, #68216)
- xscreensaver-rh-imcjk.patch

* Wed Jul 17 2002 Elliot Lee <sopwith@redhat.com> 4.05-2
- Add fortune-mod to buildprereq to make beehive happy
- Fix find_lang usage - install translations properly by specifying datadir

* Tue Jun 11 2002 Bill Nottingham <notting@redhat.com> 4.05-1
- update to 4.05
- use gtk2 lock widget (<jacob@ximian.com>)
- some Red Hat-ifications
- fix critical (#63916)

* Mon Jun 10 2002 Bill Nottingham <notting@redhat.com> 4.04-2
- remove no longer needed xloadimage dependency

* Mon Jun  3 2002 Bill Nottingham <notting@redhat.com> 4.04-1
- update to 4.04, gtk2 property dialog is now mainline

* Thu May 16 2002 Bill Nottingham <notting@redhat.com> 4.03-1
- update to 4.03
- use gtk2 properties dialog

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com> 4.01-2
- don't show screensavers that aren't available

* Sun Feb 24 2002 Bill Nottingham <notting@redhat.com>
- update to 4.01

* Mon Feb 11 2002 Bill Nottingham <notting@redhat.com>
- update to 4.00

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Aug 23 2001 Bill Nottingham <notting@redhat.com>
- fix segfault on ia64 (#52336)

* Thu Aug  9 2001 Bill Nottingham <notting@redhat.com>
- never mind, back to 3.33 (wheeee)
- hack window-id back in for the time being
- disable memlimit so GL works

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- oops, back to 3.32 for now
- remove optflags override (oops)
- add pam-devel buildprereq

* Mon Jul 16 2001 Bill Nottingham <notting@redhat.com>
- update to 3.33, fix broken last build
- fix build weirdness on some package sets (#48905)
- don't document non-existent options for forest (#49139)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue May 22 2001 Havoc Pennington <hp@redhat.com>
- putting in tree for David 

* Tue May 22 2001 David Sainty <dsainty@redhat.com>
- added DPMS options to command line help

* Sun Apr 22 2001 Bill Nottingham <notting@redhat.com>
- update to 3.32
- add patch to specify DPMS settings on the command line

* Wed Apr 11 2001 Bill Nottingham <notting@redhat.com>
- update to 3.31

* Wed Apr  4 2001 Bill Nottingham <notting@redhat.com>
- fix extrusion exclusion (#34742)

* Tue Apr  3 2001 Bill Nottingham <notting@redhat.com>
- disable GL screensavers by default (bleah)

* Mon Feb 19 2001 Bill Nottingham <notting@redhat.com>
- update to 3.29 (#27437)

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- update to 3.27

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Fri Nov 10 2000 Bill Nottingham <notting@redhat.com>
- 3.26

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- hey, vidmode works again

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- update to 3.25

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- xscreensaver.kss is not a %%config file.

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- tweak kss module (#11872)

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM configuration to use system-auth

* Thu May 18 2000 Preston Brown <pbrown@redhat.com>
- added Red Hat screensaver (waving flag has logo now).

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- tweaks for ia64

* Mon Apr 10 2000 Bill Nottingham <notting@redhat.com>
- turn off xf86vidmode ext, so that binaries built against XFree86 4.0
  work on 3.x servers

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- turn off gnome support for now

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- update to 3.24

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig entry gone.

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- update to 3.23

* Fri Jan 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild to fix GL depdencies

* Tue Dec 14 1999 Bill Nottingham <notting@redhat.com>
- everyone in GL
- single package again

* Fri Dec 10 1999 Bill Nottingham <notting@redhat.com>
- update to 3.22
- turn off xf86vmode on alpha

* Tue Dec  7 1999 Bill Nottingham <notting@redhat.com>
- mmm... hardware accelerated GL on i386. :) :)

* Mon Nov 22 1999 Bill Nottingham <notting@redhat.com>
- 3.21
- use shm on alpha, let's see what breaks

* Tue Nov 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.20

* Wed Nov  3 1999 Bill Nottingham <notting@redhat.com>
- update to 3.19

* Thu Oct 14 1999 Bill Nottingham <notting@redhat.com>
- update to 3.18

* Sat Sep 25 1999 Bill Nottingham <notting@redhat.com>
- add a '-oneshot' single time lock option.

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- take webcollage out of random list (for people who pay for bandwidth)

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- patch webcollage to use xloadimage
- in the random list, run petri with -size 2 to save memory
- extend RPM silliness to man pages, too.

* Mon Jul 19 1999 Bill Nottingham <notting@redhat.com>
- update to 3.17
- add a little RPM silliness to package GL stuff if it's built

* Thu Jun 24 1999 Bill Nottingham <notting@redhat.com>
- update to 3.16

* Mon May 10 1999 Bill Nottingham <notting@redhat.com>
- update to 3.12

* Tue May  4 1999 Bill Nottingham <notting@redhat.com>
- remove security problem introduced earlier

* Wed Apr 28 1999 Bill Nottingham <notting@redhat.com>
- update to 3.10

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- kill setuid the Right Way(tm)

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix xflame on alpha

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.09, fixes vmware interaction problems.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- remove setuid bit. Really. I mean it.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- kill setuid, since pam works OK

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.08

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig returns, and no one is safe...

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- remove bsod from random list because it's confusing people???? *sigh*

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to get it to compile cleanely on the arm

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 3.07

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 3.06

* Tue Nov 17 1998 Bill Nottingham <notting@redhat.com>
- update to 3.04

* Thu Nov 12 1998 Bill Nottingham <notting@redhat.com>
- update to 3.02
- PAMify

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out Noseguy module b/c of possible TMv
- install modules in /usr/X11R6/lib/xscreensaver
- don't compile support for xshm on the alpha
- properly buildrooted
- updated to version 2.34

* Fri Aug  7 1998 Bill Nottingham <notting@redhat.com>
- update to 2.27

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- added fix for argv0 buffer overflow

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 2.10 to 2.16
- added buildroot

* Wed Oct 25 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version, configure

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc

